<?xml version="1.0" encoding="utf-8"?>
<metadata>
	<layout title="Artikel Liste">
		<message>
			<![CDATA[Artikel Liste]]>
		</message>
		<fields name="request">
			<fieldset name="request" addfieldpath="/administrator/components/com_pixelcms_articles/models/fields">
				<field
						name="pixelcms_category_id"
						type="Categories"
						label="Wähle eine Kategorie"
						description="Wähle eine Kategorie"
						default="0"
				>
				</field>
				<field name="pixelcms_filter" type="radio" default="active" label="Filter" description="Filter" class="btn-group">
					<option value="all" class="btn-dark">Alle</option>
					<option value="active" class="btn-dark">Aktive</option>
					<option value="promoted" class="btn-light">Promoted</option>
				</field>
				<field
						name="intro_length"
						label="Intro Länge"
						type="number"
						description="0 - Den vollen Text anzeigen"
						min="0"
						default="200"
				/><field
                    name="perPage"
                    label="Artikel pro Seite"
                    type="number"
                    description="0 - Alle anzeigen"
                    min="0"
                    default="10"
                />
				<field name="image_fallback"
					   type="radio"
					   default="1"
					   label="Titelbild Fallback"
					   description="Zeigt das erste Beitragsbild an wenn kein Titelbild festgelegt wurde."
					   class="btn-group btn-group-yesno"
				>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
                <field name="disable_title_image"
                       type="radio"
                       default="0"
                       label="Titelbild ausblenden"
                       description="Blendet das Titelbildmodul für die Detailseiten aus."
                       class="btn-group btn-group-yesno"
                >
                    <option value="1">JYES</option>
                    <option value="0">JNO</option>
                </field>
				<field
						name="cut_images"
						type="radio"
						default="1"
						label="Beitragsbilder beschneiden"
						description="Beitragsbilder werden quadratisch zugeschnitten"
						class="btn-group btn-group-yesno"
				>
					<option value="1">JYES</option>
					<option value="2">Nur Auflistung</option>
					<option value="3">Nur Details</option>
					<option value="0">JNO</option>
				</field>
				<field
						name="show_date"
						type="radio"
						default="before"
						label="Datum Anzeigen"
						class="btn-group btn-group-yesno"
				>
					<option value="0">JNO</option>
					<option value="before">Vor Titel</option>
					<option value="after">Nach Titel</option>
				</field>
                <field name="show_gallery_desc"
                       type="radio"
                       default="0"
                       label="Gallerie Beschreibung anzeigen"
                       class="btn-group btn-group-yesno"
                >
                    <option value="1">JYES</option>
                    <option value="0">JNO</option>
                </field>
				<field name="first_article_full"
					   type="radio"
					   default="0"
					   label="Ersten Artikel Vollständig anzeigen"
					   class="btn-group btn-group-yesno"
				>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
				<field
						name="page_subtitle"
						showon="first_article_full:1"
						label="Weitere Artikel Überschrift"
						type="text"
						description="%s ist Platzhalter für die Überschrift"
						placeholder="Weiters aus %s"
				/>
			</fieldset>
            <fieldset
                    name="images"
                    label="Bild Einstellungen"
            >
                <field
                        name="pixelcms_images_thumb_size"
                        label="Thumbnail Größe"
                        type="number"
                        min="100"
                        max="2000"
                        useglobal="true"
                />
                <field
                        name="pixelcms_images_preview_size"
                label="Lightbox Größe"
                        type="number"
                        min="500"
                        max="3000"
                        useglobal="true"
                />
            </fieldset>
		</fields>
	</layout>
</metadata>
